Jump to content
Welcome to our new Citrix community!
  • 0

DDC migration plan from 7.15 to 22 03


Pandiyan R1709163601

Question

HI all, 

 

We are planning to migrate the current Citrix 7.15 farm (running on 2012 OS) to Citrix 2203 (running on 2019 OS). the plan is as follow.  I need advise the below plan will work for smooth migration. 

 

Take backup of current Citrix DB (running on 2012 SP4)
Restore the same in the new listener IP (running on SQL 2019 Ent)
Take snapshot of Delivery controller and SQL servers
Install Citrix 2203 on DDC01
Create a new site and Point the database restored in the new listener IP(step 02)
Add the new DDC in StoreFront 
Test the apps
Install Citrix 2203 on DDC2 and add as secondary DDC server
Migrate end user app servers(VDAs) to the new controller
Test the apps from a new DDC

 

 

Link to comment

2 answers to this question

Recommended Posts

  • 1

That's not how I would do it.

  1. Make sure your 7.15 servers are at least 7.15 CU5.
  2. If you want to change SQL, then see https://www.carlstalhood.com/delivery-controller-cr-and-licensing/#changedbstrings
  3. In-place upgrade your Windows 2012 Controllers to CVAD 1912.
  4. Swap out your Windows 2012 Controllers for Windows 2019.
  5. In-place upgrade your CVAD 1912 to CVAD 2203.
  6. Swap out your Windows 2019 Controllers for Windows 2022.

See https://www.carlstalhood.com/cvad-upgrades/#deliverycontrollers

  • Like 1
Link to comment
  • 0
45 minutes ago, Carl Stalhood1709151912 said:

That's not how I would do it.

  1. Make sure your 7.15 servers are at least 7.15 CU5.
  2. If you want to change SQL, then see https://www.carlstalhood.com/delivery-controller-cr-and-licensing/#changedbstrings
  3. In-place upgrade your Windows 2012 Controllers to CVAD 1912.
  4. Swap out your Windows 2012 Controllers for Windows 2019.
  5. In-place upgrade your CVAD 1912 to CVAD 2203.
  6. Swap out your Windows 2019 Controllers for Windows 2022.

See https://www.carlstalhood.com/cvad-upgrades/#deliverycontrollers

 

Thanks a lot Carl for the solution. yes, we are running 7.15 with CU7. We will follow the provided step and will reach if any further query. Thanks once again. 

Link to comment

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...